> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Get the current Promotion State for your Account ## OpenAPI ````yaml https://api.bunny.net/shield/docs/v1/swagger.json get /shield/promo/state openapi: 3.0.4 info: title: Bunny Shield API description: >- Bunny.net API for Bunny Shield (WAF, DDoS, Rate Limiting, Bot Detection, Access Lists & API Guardian). version: v1 servers: - url: https://api.bunny.net security: [] paths: /shield/promo/state: get: tags: - Promotions summary: Get the current Promotion State for your Account operationId: Get Promotion State responses: '200': description: OK ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.